Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php-memcached: new aport (http://bugs.alpinelinux.org/issues/4814)

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 6 Nov 2015 17:09:24 +0200

---
 testing/php-memcached/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/php-memcached/APKBUILD
diff --git a/testing/php-memcached/APKBUILD b/testing/php-memcached/APKBUILD
new file mode 100644
index 0000000..d940879
--- /dev/null
+++ b/testing/php-memcached/APKBUILD
_at_@ -0,0 +1,39 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=php-memcached
+_pkgreal=memcached
+pkgver=2.2.0
+_pkgver=${pkgver/_rc/RC}
+pkgrel=0
+pkgdesc="PHP extension for interfacing with memcached via libmemcached library"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="PHP"
+depends=
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends libmemcached-dev"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgver
+
+build() {
+	cd "$_builddir"
+	phpize || return 1
+	./configure \
+		--prefix=/usr \
+		--disable-memcached-sasl || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir/" install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
+}
+
+md5sums="28937c6144f734e000c6300242f44ce6  memcached-2.2.0.tgz"
+sha256sums="17b9600f6d4c807f23a3f5c45fcd8775ca2e61d6eda70370af2bef4c6e159f58  memcached-2.2.0.tgz"
+sha512sums="61207d3f8c11b0620dbcb20fb2ebb6d1fc10159a7e879ee91556a303c3dcdf3d2571e8dda5efcbed77ff779f5c9b226aa48800630b9e7781cd964126b848c356  memcached-2.2.0.tgz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 06 2015 - 17:09:24 GMT